2019-08-24 00:17 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005659Spring engineGeneralpublic2017-07-21 20:25
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005659: Support for caching splash screen
DescriptionThis screen is functional but ugly. https://springrts.com/mantis/file_download.php?file_id=3517&type=bug

Ideally game developers would be able to replace the black background with a screenshot. Since nothing is cached the screenshot may have to be a fixed file path relative to the base directory. To accommodate a screenshot the red text should be smaller, in a lower corner of the screen, less technical, and white.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018063

Kloot (developer)

Last edited: 2017-07-18 12:23

View 2 revisions

Right now, my motivation to add splashscreen support is outweighed by my desire to make firepluk gouge out his eyeballs with a rusty spoon. Send in some decent splashscreen examples (allowing room for the text to be positioned center-bottom, possibly resized but with *unaltered* phrasing) and this may change.

~0018064

Google_Frog (reporter)

This ticket contains many variations of a logo on a black background: https://github.com/ZeroK-RTS/Zero-K/issues/2416

~0018065

Google_Frog (reporter)

How unaltered do you want your phrasing? It would look better without asterikes as bullet points and with capital letters at the start of each phrase.

~0018066

Kloot (developer)

Last edited: 2017-07-18 21:25

View 2 revisions

At the risk of opening a bikeshed, I settled on the asterisks and non-capitalized subphrases because other styles looked unbalanced. An interesting background distracting attention from the text will do much to reduce these details to irrelevance anyway.

~0018067

Kloot (developer)

this is implemented now.

I'll leave including it in 104 to popular vote.

~0018087

Kloot (developer)

Fix 849611a50dfffd7e44d860aa4e84517a42392c58 committed to develop branch: fix 0005659, repo: spring changeset id: 8534
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-07-18 10:01 Google_Frog New Issue
2017-07-18 12:21 Kloot Note Added: 0018063
2017-07-18 12:23 Kloot Note Edited: 0018063 View Revisions
2017-07-18 13:07 Google_Frog Note Added: 0018064
2017-07-18 13:09 Google_Frog Note Added: 0018065
2017-07-18 13:27 Kloot Note Added: 0018066
2017-07-18 18:29 Kloot File Added: splashscreen.png
2017-07-18 21:24 Kloot Note Added: 0018067
2017-07-18 21:25 Kloot Note Edited: 0018066 View Revisions
2017-07-21 20:25 Kloot Changeset attached => spring develop 849611a5
2017-07-21 20:25 Kloot Note Added: 0018087
2017-07-21 20:25 Kloot Assigned To => Kloot
2017-07-21 20:25 Kloot Status new => resolved
2017-07-21 20:25 Kloot Resolution open => fixed
+Issue History